.. AUTO-GENERATED FILE. DO NOT EDIT. one-desktop-applications-patch-one ================================== Source ------ - Repository: ``jef-systems/jef-one-backend`` - Source Run ID: ``25256541517`` - Source SHA: ``944e655286e0c87c6e611453ffc46df43159a83d`` - Module: ``one`` - Documentation Scope: ``async`` - Lambda: ``jef-one-patch-2`` Endpoint -------- - API Name: ``jef-one`` - Action Name: ``patch`` - Method: ``PATCH`` - Scope Label: ``Async`` - Resource Path: ``/one-desktop-applications-patch-one`` - Complete Endpoint: ``https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-desktop-applications-patch-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-patch-2`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-one-patch-2 Module: jef-one Action: patch Method: PATCH Invocation Mode: ASYNC Resource Path: /one-desktop-applications-patch-one API Gateway Response: - status_code: 202 - message: Request accepted for asynchronous processing. Table: - table: jef-one-desktop-applications Payload Example: - pk: 001 - app_number: 001 - app_name: JEF One Desktop - desktop_app_id: jef-one-desktop - platform: electron - is_active: True - allowed_module_numbers: 01,02,05,06,07,08 - created_at: 2026-04-29T00:00:00Z - updated_at: 2026-04-29T00:00:00Z Payload Schema: - pk: string-{app_number} - app_number: string - app_name: string - desktop_app_id: string - platform: string - is_active: boolean - allowed_module_numbers: string - created_at: string - updated_at: string Response Schema: - is_accepted: boolean - message: string Request Payload --------------- .. code-block:: json { "pk": "001", "app_number": "001", "app_name": "JEF One Desktop", "desktop_app_id": "jef-one-desktop", "platform": "electron", "is_active": "True", "allowed_module_numbers": "01,02,05,06,07,08", "created_at": "2026-04-29T00:00:00Z", "updated_at": "2026-04-29T00:00:00Z" } Response -------- .. code-block:: json { "is_accepted": "boolean", "message": "string" } CMD curl -------- .. code-block:: text curl -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-desktop-applications-patch-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"001\", \"app_number\": \"001\", \"app_name\": \"JEF One Desktop\", \"desktop_app_id\": \"jef-one-desktop\", \"platform\": \"electron\", \"is_active\": true, \"allowed_module_numbers\": \"01,02,05,06,07,08\", \"created_at\": \"2026-04-29T00:00:00Z\", \"updated_at\": \"2026-04-29T00:00:00Z\"}" PowerShell curl --------------- .. code-block:: text curl.exe -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-desktop-applications-patch-one" -H "Content-Type: application/json" --data-raw '{"pk": "001", "app_number": "001", "app_name": "JEF One Desktop", "desktop_app_id": "jef-one-desktop", "platform": "electron", "is_active": true, "allowed_module_numbers": "01,02,05,06,07,08", "created_at": "2026-04-29T00:00:00Z", "updated_at": "2026-04-29T00:00:00Z"}'